| Home | Libraries | People | FAQ | More

## Struct template promote<To, From, std_valarray_tag, std_valarray_tag>

boost::numeric::functional::promote<To, From, std_valarray_tag, std_valarray_tag>

## Synopsis

    template<typename To, typename From>
    struct promote<To, From, std_valarray_tag, std_valarray_tag> : public std::unary_function< From, To > {

      // public member functions
      To operator()(From &) const;
    };

## Description

### `promote` public member functions

1.     To operator()(From & arr) const;